Your message dated Thu, 22 Feb 2018 22:29:53 +0000
with message-id <e1eoznb-00036g...@fasolo.debian.org>
and subject line Bug#884808: fixed in vagrant-libvirt 0.0.43-1
has caused the Debian Bug report #884808,
regarding vagrant-libvirt creates invalid xml for libvirt
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact ow...@bugs.debian.org
immediately.)


-- 
884808: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=884808
Debian Bug Tracking System
Contact ow...@bugs.debian.org with problems
--- Begin Message ---
Package: vagrant-libvirt
Version: 0.0.40-1
Severity: normal

Dear Maintainer,

vagrant-libvirt creates a invalid xml for libvirt. 

If i try to create a machine i got the following error:

Bringing machine 'dummy-01' up with 'libvirt' provider...
==> dummy-01: Creating image (snapshot of base box volume).
==> dummy-01: Creating domain with the following settings...
==> dummy-01:  -- Name:              platform_dummy-01
==> dummy-01:  -- Domain type:       kvm
==> dummy-01:  -- Cpus:              1
==> dummy-01:  -- Feature:           acpi
==> dummy-01:  -- Feature:           apic
==> dummy-01:  -- Feature:           pae
==> dummy-01:  -- Memory:            1024M
==> dummy-01:  -- Management MAC: 
==> dummy-01:  -- Loader:             
==> dummy-01:  -- Base box:          debian-9-amd64
==> dummy-01:  -- Storage pool:      default
==> dummy-01:  -- Image:             
/var/lib/libvirt/images/platform_dummy-01.img (10G)
==> dummy-01:  -- Volume Cache:      default
==> dummy-01:  -- Kernel:   
==> dummy-01:  -- Initrd:             
==> dummy-01:  -- Graphics Type:     spice
==> dummy-01:  -- Graphics Port:     5900
==> dummy-01:  -- Graphics IP:       127.0.0.1
==> dummy-01:  -- Graphics Password: Not defined
==> dummy-01:  -- Video Type:        qxl
==> dummy-01:  -- Video VRAM:        9216
==> dummy-01:  -- Sound Type:   
==> dummy-01:  -- Keymap:            en-us
==> dummy-01:  -- TPM Path:           
==> dummy-01:  -- INPUT:             type=mouse, bus=ps2
==> dummy-01:  -- CHANNEL:             type=unix, mode=
==> dummy-01:  -- CHANNEL:             target_type=virtio, 
target_name=org.qemu.guest_agent.0
==> dummy-01:  -- CHANNEL:             type=spicevmc, mode=
==> dummy-01:  -- CHANNEL:             target_type=virtio, 
target_name=com.redhat.spice.0
Error while creating domain: Error saving the server: Call to 
virDomainDefineXML failed: internal error: Unknown source mode ''

Reproduce it in the following way:
  - Install vagrant-libvirt,
  - try to start a virtual machine with $ vagrant up dummy-01,
  - see it failing during the creation of that virtual machine with the error 
above from the vagrant file below.

Vagrantfile:

boxes = [
  {
    :name => "dummy-01",
    :ip => "192.168.1.2",
    :mem => "1024",
    :cpu => "1",
    :group => 'dummy',
    :application => "dummy",
  }
]

Vagrant.configure("2") do |config|
  config.vm.box = "debian-9-amd64"

  boxes.each do |opts|
    config.vm.define opts[:name] do |config|
      config.vm.hostname = opts[:name]

      config.vm.provider "libvirt" do |libvirt|
        libvirt.memory = opts[:mem]
        libvirt.cpus = opts[:cpu]
      end

      config.vm.provider "virtualbox" do |v|
        v.customize ["modifyvm", :id, "--memory", opts[:mem]]
        v.customize ["modifyvm", :id, "--cpus", opts[:cpu]]
      end

      config.vm.network :private_network, ip: opts[:ip]

      config.vm.provision :ansible do |ansible|
        ansible.playbook = opts[:play] ||="site.yaml"
        ansible.groups = {
          opts[:group] => [opts[:name]],
        }
        ansible.extra_vars = {
          application: opts[:application]
        }
        ansible.limit = "all"
        ansible.verbose = ENV['ANSIBLE_VERBOSE'] ||= "v"
        ansible.tags = ENV['ANSIBLE_TAGS'] ||= "all"
      end
    end
  end
end

There is a related Red Hat Bug with some other details:
  https://bugzilla.redhat.com/show_bug.cgi?id=1518899

Cheers
Sascha

-- System Information:
Debian Release: 9.1
  APT prefers stable
  APT policy: (500, 'stable'), (100, 'testing'), (10, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 4.9.0-4-amd64 (SMP w/4 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8), 
LANGUAGE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)

Versions of packages vagrant-libvirt depends on:
ii  ruby                        1:2.3.3
ii  ruby-fog-core               1.42.0-1
ii  ruby-fog-libvirt            0.3.0-1
ii  ruby-nokogiri               1.6.8.1-1
ii  ruby2.1 [ruby-interpreter]  2.1.5-2+deb8u2
ii  vagrant                     1.9.1+dfsg-1

Versions of packages vagrant-libvirt recommends:
pn  libguestfs-tools   <none>
ii  nfs-kernel-server  1:1.3.4-2.1
ii  qemu-utils         1:2.8+dfsg-6+deb9u2

vagrant-libvirt suggests no packages.

-- no debconf information

--- End Message ---
--- Begin Message ---
Source: vagrant-libvirt
Source-Version: 0.0.43-1

We believe that the bug you reported is fixed in the latest version of
vagrant-libvirt, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 884...@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Hans-Christoph Steiner <h...@eds.org> (supplier of updated vagrant-libvirt 
package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmas...@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 22 Feb 2018 22:40:45 +0100
Source: vagrant-libvirt
Binary: vagrant-libvirt
Architecture: source all
Version: 0.0.43-1
Distribution: unstable
Urgency: medium
Maintainer: Debian Ruby Extras Maintainers 
<pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Changed-By: Hans-Christoph Steiner <h...@eds.org>
Description:
 vagrant-libvirt - Vagrant plugin that adds an Libvirt provider to Vagrant
Closes: 857641 871893 884808
Changes:
 vagrant-libvirt (0.0.43-1) unstable; urgency=medium
 .
   * New upstream release (Closes: #884808, #857641)
   * Team upload.
   * Remove myself from uploaders list. (Closes: #871893)
   * Bump Standards-Version to 4.1.3. No changes were required.
   * Update copyright info.
Checksums-Sha1:
 76be8fa7115dbc47bcd52b5ba2bd57dc0786994f 2018 vagrant-libvirt_0.0.43-1.dsc
 4a26a325107e5cc57af9337b6c9710e35fae91dd 78053 
vagrant-libvirt_0.0.43.orig.tar.gz
 0e6355282e191f4323b87f5ddf25afe7e5a9e13e 3936 
vagrant-libvirt_0.0.43-1.debian.tar.xz
 7b878ab8807971e01e408946ef2df1e685f99120 65400 vagrant-libvirt_0.0.43-1_all.deb
 78b13ac15264aa6bb50245d68028b183fdb62cf9 9377 
vagrant-libvirt_0.0.43-1_amd64.buildinfo
Checksums-Sha256:
 27baff993494c871b9cdabdfbdbc523ab162a83cfe097e26a17bce5bba92263e 2018 
vagrant-libvirt_0.0.43-1.dsc
 3c029f8c55b2382cdd0d8793a5d80fb866786acf5ed2abef56116eeaa7f6871f 78053 
vagrant-libvirt_0.0.43.orig.tar.gz
 0d353178bcdd4803f56edc502f93d48b465d0695e5e043489ca815b758023883 3936 
vagrant-libvirt_0.0.43-1.debian.tar.xz
 f77fa4f8fcbad35bf274d071768b1737eb39ed387338c2a89aced55c7912c731 65400 
vagrant-libvirt_0.0.43-1_all.deb
 203bb0370ec2b79b185bdcdd40ef84f920b4c10969ffba1fff0d20688eed248d 9377 
vagrant-libvirt_0.0.43-1_amd64.buildinfo
Files:
 d5a31fb5dfcce8d9d7758fb8e6a4a71a 2018 ruby optional 
vagrant-libvirt_0.0.43-1.dsc
 d29506f98034a3187cfa78ab671f8605 78053 ruby optional 
vagrant-libvirt_0.0.43.orig.tar.gz
 0ae5c593a049f759e95a7ba0810eec39 3936 ruby optional 
vagrant-libvirt_0.0.43-1.debian.tar.xz
 46e964b917dc8ef4b2599f93077e5858 65400 ruby optional 
vagrant-libvirt_0.0.43-1_all.deb
 7196dec58fdcd61c4353bffbeb67b7c8 9377 ruby optional 
vagrant-libvirt_0.0.43-1_amd64.buildinfo

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1
Comment: GPG for Android - https://guardianproject.info/code/gnupg/

iQEcBAEBCAAGBQJajz4aAAoJED4XeBe6G5v6m1cH+wTNUl/dkV7FuGtJEvYwSz5t
rVJnLj1pNCC1K/6FLUlDLa5ulx7D6zVzatnHtrQC4YxQssa4HOucDLz5suBJ2g3K
7ZhHAqtToV/ZxyKAuay5B8OSt9c6qN9obZpvh8Df/yoJ7WrbYzmKzpsYyCBalXSm
yViHJPNj8yrEmRpAgtPXPqBWzFRCAwQnleZKHHPoX490VwF7cT8Oum7QMXgFRBMI
66+xgHC8LuK9BilPJm7Bcs/N8DDrxIGzO+XxpxOB8Xzu6HV8CcpzcMv8jlxdEno0
cK64QLjVx7uOekOtQiAemjqag9zHmJtfOqRcY+6QFIFEwWvBV0QBOnQZboUEPSg=
=G2CE
-----END PGP SIGNATURE-----

--- End Message ---
_______________________________________________
Pkg-ruby-extras-maintainers mailing list
Pkg-ruby-extras-maintainers@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-ruby-extras-maintainers

Reply via email to